> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve derogation



## OpenAPI

````yaml /openapi.json post /derogations/{derogationId}/branches/{branchId}/approve
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /derogations/{derogationId}/branches/{branchId}/approve:
    post:
      tags:
        - derogations
      summary: Approve derogation
      operationId: DerogationController_approveDerogation
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
        - name: branchId
          required: true
          in: path
          description: Id of the branch
          schema:
            pattern: >-
              ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: derogationId
          required: true
          in: path
          description: Id of the derogation
          schema:
            pattern: >-
              ^derogation(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerogationApproveOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BranchNotFoundErrorDto'
                  - $ref: '#/components/schemas/DerogationNotFoundErrorDto'
              examples:
                BRANCH_NOT_FOUND:
                  value:
                    code: BRANCH_NOT_FOUND
                    message: Branch {branchId} not found
                    details: {}
                DEROGATION_NOT_FOUND:
                  value:
                    code: DEROGATION_NOT_FOUND
                    message: Derogation not found for branch {branchId}
                    details: {}
          description: ''
components:
  schemas:
    DerogationApproveOutput:
      type: object
      properties: {}
    BranchNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BRANCH_NOT_FOUND
        message:
          type: string
          example: Branch {branchId} not found
        details:
          $ref: '#/components/schemas/BranchNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    DerogationNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DEROGATION_NOT_FOUND
        message:
          type: string
          example: Derogation not found for branch {branchId}
        details:
          $ref: '#/components/schemas/DerogationNotFoundDto'
      required:
        - code
        - message
        - details
    BranchNotFoundDetailsDto:
      type: object
      properties:
        branchId:
          type: string
      required:
        - branchId
    DerogationNotFoundDto:
      type: object
      properties:
        branchId:
          type: string
      required:
        - branchId
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````